Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Cuireadh an snáithe seo sa chartlann. Cuir ceist nua má tá cabhair uait.

FireFox won't update because it says I'm using XP ... I AM NOT Using XP, I am using Win7. Why does FireFox not recognize my correct OS?

  • 2 fhreagra
  • 1 leis an bhfadhb seo
  • 107 views
  • Freagra is déanaí ó ParSix2000

more options

Fire Fox is saying that I'm using XP so it doesn't update. However, I am NOT using XP, I AM using Win7 Professional.

Réiteach roghnaithe

hi ParSix2000, please check that you haven't set firefox to run in windows xp compatibility mode - more details in: https://support.mozilla.org/en-US/questions/1232291

afterwards you could also download a fresh version of firefox from https://www.mozilla.org/firefox/all/ in order to switch from the esr update channel to regular release builds.

Read this answer in context 👍 2

All Replies (2)

more options

Réiteach Roghnaithe

hi ParSix2000, please check that you haven't set firefox to run in windows xp compatibility mode - more details in: https://support.mozilla.org/en-US/questions/1232291

afterwards you could also download a fresh version of firefox from https://www.mozilla.org/firefox/all/ in order to switch from the esr update channel to regular release builds.

more options

THANK YOU ... I did have settings set for XP. Changed it to Win 7 and got the updates. Thank you again for your help.